/* @(#) $Id: io.h 529 2008-10-24 06:57:49Z leres $ (LBL) */
#ifndef acld_io_h
#define acld_io_h

#include <stdarg.h>

/* I/O buffer */
struct iobuf {
	char *buf;
	size_t size;
	size_t len;
};

void ioappendfmt(struct iobuf *, const char *, ...)
    __attribute__ ((format (printf, 2, 3)));
void ioappendline(struct iobuf *, const char *, size_t);
void ioappendvfmt(struct iobuf *, const char *, va_list);
void iofree(struct iobuf *);
char *iogetstr(struct iobuf *);
int iohaveline(register struct iobuf *);
int ioread(int, struct iobuf *);
int iowrite(int, struct iobuf *);
#endif
